AWS
probe EKS

# describe_cluster

Describe an EKS cluster

Run it now
View details

Type | probe
Module | chaosaws.eks.probes
Name | describe_cluster
Return | mapping

Usage

JSON

    {
      "name": "describe-cluster",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.eks.probes",
        "func": "describe_cluster",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: describe-cluster
    provider:
      arguments:
        name: ""
      func: describe_cluster
      module: chaosaws.eks.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Cluster Name |

Signature

    def describe_cluster(
            name: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EKS

  ## `create_cluster`

  Create a new EKS cluster
- AWS
  action EKS

  ## `delete_cluster`

  Delete the given EKS cluster
- AWS
  probe EKS

  ## `list_clusters`

  List EKS clusters available to the authenticated account